View Issue Details

IDProjectCategoryView StatusLast Update
0025210mantisbtreportspublic2019-03-16 20:20
Reporteratrol Assigned Tocproensa  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.0-beta.1 
Target Version2.20.0Fixed in Version2.20.0 
Summary0025210: Script error in graphs
Description

Graphs are not displayed in some cases due to a JavaScript error

TypeError: t.ticks.map is not a function. (In 't.ticks.map(function(e,n,i){return t.options.ticks.userCallback?t.options.ticks.userCallback(e,n,i):t.options.ticks.callback(e,n,i)},t)', 't.ticks.map' is undefined)
Steps To Reproduce
  • Enable Mantis Graphs plugin
  • Set $g_show_realname = ON;
  • Create DEVELOPER user and set realname so that a double quote " is part of the realname
  • Assign an issue to the user
  • Goto Summary page, tab By Developer
  • Get the error if the user is displayed as part of the report
TagsNo tags attached.

Relationships

related to 0021931 closedcproensa Filtered Summary 

Activities

atrol

atrol

2019-01-16 02:07

developer   ~0061248

Fix is part of PR https://github.com/mantisbt/mantisbt/pull/1442

Related Changesets

MantisBT: master 54768b83

2019-01-15 19:38:11

cproensa


Committer: dregad Details Diff
MantisGraph, use proper json encoding

Use json_encode for labels and values.

Fixes: 0025210
Affected Issues
0025210
mod - plugins/MantisGraph/core/graph_api.php Diff File

Issue History

Date Modified Username Field Change
2019-01-11 18:41 atrol New Issue
2019-01-11 18:42 atrol Steps to Reproduce Updated View Revisions
2019-01-15 19:38 cproensa Assigned To => cproensa
2019-01-15 19:38 cproensa Status new => assigned
2019-01-16 02:07 atrol Note Added: 0061248
2019-01-16 02:21 atrol Relationship added related to 0021931
2019-01-16 02:37 atrol Target Version => 2.20.0
2019-02-14 11:22 dregad Changeset attached => MantisBT master 54768b83
2019-02-14 11:22 cproensa Status assigned => resolved
2019-02-14 11:22 cproensa Resolution open => fixed
2019-02-14 11:22 cproensa Fixed in Version => 2.20.0
2019-03-16 20:20 vboctor Status resolved => closed